# file: diamonds.py
# author: Bob Muller
# date: January 23, 2013
#
# Solution to part F of problem set 2, CS101, Fall 2013.

from stddraw import *

def start():
    def responder(event):
        diamonds(picture, 6)

    picture = Picture()
    picture.setH(800)
    picture.setW(800)
    picture.bind('<Button-1>', responder)
    picture.start()

# diamonds : Picture * float * N -> void
#
# The call diamonds(picture, N) draws a sequence of diamonds on
# the major diagonal.
#
def diamonds(picture, N):

    side = 1.0 / N
    half = side / 2.0

    def loop(i):
        if i < N:
            mid = (2 * i + 1) * half
            color = picture.randomColor()
            picture.filledRectangle(mid, mid, half, half, color)
            loop(i + 1)
    loop(0)

start()
