# file: ringInBounds.py
# author: Bob Muller
# date: January 23, 2013
# revised: September 10, 2013
#
# Solution to part C of problem set 2, CS101, Fall 2013.

from stddraw import *
import random
import goodRing

def start():
    def responder(event):
        ringInBounds(picture, .5, .5, .3, .25, 'blue')

    picture = Picture()
    picture.setH(800)
    picture.setW(800)
    picture.bind('<Button-1>', responder)
    picture.start()

# ringInBounds : Picture * float * float * float * float * color -> void
#
# The call ringInBounds(pict, x, y, radius, width, color) draws 
# a ring in picture centered at (x, y), with radius radius and
# the specified color.
#
def ringInBounds(picture, x, y, radius, width, color):
    if ringIsOK(radius, x, y):
        goodRing.goodRing(picture, x, y, radius, width, color)
    else:
        print 'Error: ring at (' + str(x) + ', ' + str(y) + ') out of bounds.'

def ringIsOK(radius, x, y):
    xOK = x - radius >= 0 and x + radius <= 1.0
    yOK = y - radius >= 0 and y + radius <= 1.0
    return xOK and yOK

