# file: rings.py
# author: Bob Muller
# date: January 23, 2013
#
# Solution to part F of problem set 2, CS101, Fall 2013.

from stddraw import *
import rowOfRings

def start():
    def responder(event):
        rings(picture, 3)

    picture = Picture()
    picture.setH(800)
    picture.setW(800)
    picture.bind('<Button-1>', responder)
    picture.start()

# rings : Picture * int -> void
#
# The call rings(picture, N) draws an N x N grid of rings of radius 1.0 / N.
#
def rings(picture, N):
    radius = 1.0 / N / 2.0
    def loop(i):
        if i < N:
            y = (2 * i + 1) * radius
            rowOfRings.rowOfRings(picture, y, N)
            loop(i + 1)
    loop(0)

start()
